Skip to main content

Get allowance information

GET https://wallet.paysera.com/rest/v1/allowance/{allowanceId}

Get allowance details including current status

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
allowanceIdinteger✓Allowance identifier

Example​

Request​

GET https://wallet.paysera.com/rest/v1/allowance/{allowanceId}
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response​

{}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com

RESPONSE

Allowance created successfully
{
"id": 5478,
"transaction_key": "aB3dEf8H",
"created_at": 0,
"status": "new",
"currency": "EUR",
"description": "Monthly subscription",
"max_price": 5000,
"max_price_decimal": "50.00",
"valid": {
"for": 2592000
}
}